Support » Plugins and Hacks » Error in activating (not able to activate)

Error in activating (not able to activate)

  • when i click on activate ,it gives me error

    “Plugin could not be activated because it triggered a fatal error.
    BuddyPress Courseware dependency error: forums has to be activated!”


    and when i click on (forum has to be activated) link,i get another error is like this
    “You do not have sufficient permissions to access this page.”


    then i though may be i have to configure my bp,but still it dosen’t work 4 me,see my bp settings ,is it ok ?


    wp = 3.5.2
    bp = 1.7.1
    bbp= 2.3.2

Viewing 15 replies - 1 through 15 (of 17 total)
  • spress=0.9.6

    Hi Janak,

    Have you had any luck resolving this problem on your end. I’m running:

    WordPress: 3.6
    Buddypress: 1.8
    bbp: 2.3.2
    Couseware: 0.9.6

    I get the exact same error

    I have checked the bbpress configuation and it looks correct.

    Any ideas anyone?


    no man,still i didnt got any solution so, i move to Sensei,as i didn’t get any support from this silly plugin who are not supporting

    Same problem here and it looks like Stas has retired indeed.
    Too bad because I don’t like Sensei at all and this one looked good and is well-documented. Except for this installation error…

    @kingmaico :- it seems you ve used this plugin in past,did u?

    No, I just installed it yesterday.

    i think there is no one in this Universe who can help us 😀

    Means we have to figure it out by ourselves. As usual 😉

    hmm, inform if u find out any solution. my mail is “simplythebest@in.com”

    Well folks,

    Thanks for the feedback, but it looks to me as if this is a dead-end for now. I checked on the developer’s site on GitHub and have no answers.

    I abandoned this and went to WP Courseware. I may open a ticket on GitHub, but for now don;t see any real reason to as I’ve had to bite the bullet to get something up on the site.

    It’s a shame. There looks to be so much potential here/

    Thanks all.

    Bryan Naylor

    i think we have to findout d person who having d old plugin ,if anyone have, and share it….?

    i am experiencing the same problem just now..
    i also tried looking for the plugin creator..
    but i guess he has disappeared..
    too bad.. the introduction video of the plugin showed great promise.
    it has features that i really needed to integrate into this new site i am putting together.
    i wonder if there is any other alternative to this LMS?
    of course there is Moodle…but unlike this B courseware, moodle is another site..unlike what bp courseware, its totally integrated into the buddypress set up. too bad, it seems like this opportunity also retired along with buddypress forums.
    i will try the wp courseware..hope it works just as fine.

    Hey you need to install bbpress for forum.
    (BuddyPress Forums are retired. Use bbPress

    After install BuddyPress, activate bbpress (forum)

    After you need configure it in BuddyPress Components, click on “Retired” (1) select it and save

    Now select “All” in the same options:

    Select Group Forums (Legacy), Save

    Finally you can Activate BuddyPress Courseware and READY!

    Hey bett00, that worked for me, thanks a lot!

    I followed bett00’s instruction and successfully active the courseware plugin and created a group and enable courseware (big thanks to bett00).

    However, when I clicked on “Edit Course” within that group, the page would say:

    Page not found

    We’re sorry, but we can’t find the page that you’re looking for. Perhaps searching will help.

    The url is:
    mydomain.com /groups/demo-class-2//course/edit

    Even I deleted the duplicated // in the URL above, still page not found.

    What did I do wrong?

    Thank you for your help in advance 🙂

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘Error in activating (not able to activate)’ is closed to new replies.